GNU bug report logs - #15232
cp: "-i a/s b/s c" ask for confirmation then still fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: jidanni@HIDDEN; Keywords: confirmed; dated Sun, 1 Sep 2013 07:40:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'cp: "-i a/s b/s c" ask for confirmation then still fails' from 'cp -i a/s b/s c' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 20 Sep 2013 09:28:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 05:28:22 2013
Received: from localhost ([127.0.0.1]:50686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VMx0f-0006UF-Eh
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2013 05:28:21 -0400
Received: from caiajhbdcbhh.dreamhost.com ([208.97.132.177]:45123
 helo=homiemail-a99.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jidanni@HIDDEN>) id 1VMx0c-0006U5-Qa
 for 15232 <at> debbugs.gnu.org; Fri, 20 Sep 2013 05:28:19 -0400
Received: from homiemail-a99.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a99.g.dreamhost.com (Postfix) with ESMTP id B4987FB0075;
 Fri, 20 Sep 2013 02:28:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type:
 content-transfer-encoding; s=jidanni.org; bh=n0T07Dom611XIPO50Pe
 bAunqOsM=; b=HnJeozLWGJ6PnRO4VRIrP1GVIAD0GEyia0Hjj00MARsQNpj8m9q
 waIUdFIwdA09fFjx6PT2YeW2fQzeT5kVV8pRbgpXK5ze2FvUzvWulW2ZRw/8qEJ5
 UWC9xnyn98380JLu2hl3NaJNcFEevN0B4P45070jT//XNQO/du491+uU=
Received: from jidanni.org (111-246-103-40.dynamic.hinet.net [111.246.103.40])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by homiemail-a99.g.dreamhost.com (Postfix) with ESMTPSA id 6D84FFB0072;
 Fri, 20 Sep 2013 02:28:17 -0700 (PDT)
From: jidanni@HIDDEN
To: mail@HIDDEN
Subject: Re: bug#15232: cp -i a/s b/s c
References: <351836915.107107.1379668780600.open-xchange@HIDDEN>
Date: Fri, 20 Sep 2013 17:28:15 +0800
Message-ID: <87eh8jn8pc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >>>>> "BV" == Bernhard Voelker <mail@HIDDEN>
   writes: BV> No, there is no (known) security problem. Please read Jim's message
    OK then the ought to add a footnote to the docs. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [208.97.132.177 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org, jim@HIDDEN, bob@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >>>>> "BV" == Bernhard Voelker <mail@HIDDEN>
   writes: BV> No, there is no (known) security problem. Please read Jim's message
    OK then the ought to add a footnote to the docs. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [208.97.132.177 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

>>>>> "BV" =3D=3D Bernhard Voelker <mail@HIDDEN> writes:
BV> No, there is no (known) security problem.=C2=A0 Please read Jim's mes=
sage

OK then the ought to add a footnote to the docs.




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 20 Sep 2013 09:19:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 05:19:57 2013
Received: from localhost ([127.0.0.1]:50678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VMwsX-0006HU-5R
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2013 05:19:57 -0400
Received: from moutng.kundenserver.de ([212.227.17.10]:58027)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mail@HIDDEN>) id 1VMwsV-0006HE-2k
 for 15232 <at> debbugs.gnu.org; Fri, 20 Sep 2013 05:19:56 -0400
Received: from oxbaltgw14.schlund.de (oxbaltgw14.schlund.de [172.19.246.20])
 by mrelayeu.kundenserver.de (node=mreu0) with ESMTP (Nemesis)
 id 0Ll1ub-1VvSkD2cjN-00aYXI; Fri, 20 Sep 2013 11:19:40 +0200
Date: Fri, 20 Sep 2013 11:19:40 +0200 (CEST)
From: Bernhard Voelker <mail@HIDDEN>
To: jidanni@HIDDEN
Message-ID: <351836915.107107.1379668780600.open-xchange@HIDDEN>
In-Reply-To: <87ioxvnb0k.fsf@HIDDEN>
References: <523BE97C.3000008@HIDDEN> <87ioxvnb0k.fsf@HIDDEN>
Subject: Re: bug#15232: cp -i a/s b/s c
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Priority: 3
Importance: Medium
X-Mailer: Open-Xchange Mailer v7.2.2-Rev20
X-Provags-ID: V02:K0:CyHZZ5N1nzn3bYoAZVy7ozA/yxx3PCMUJqVqwvlvSQ4
 DxyRLQgrixk8fPs1NhmVgQ4cSAyZa3X0Hvah3MiyxKVTc7WCb7
 XuD4gz+7kLoN/lpHAIz1s5sCbbprrpwm3FG6Swtka8Aqmy6kTi
 SFhMWvt/YmH1TYZ5L0hJWHJfpsmc5J4g5YFVSNgD95aVCOfqBf
 d1t913oxhyD+sz3cWimhwms6XfpRXLJgdixbRr+ao+3tQwNWd3
 zDVZrI742D+SK2Ey3VXh+Fs3wLCaDYc8sNW4CJVpDnCsZNdcOg
 l3YcsoBMtOeBV8l+8OGEQBTxCfuPzzIlMA7meezvjz4GubKy3R
 sxGhyW/xjGWft0pl9+UIwpRAqAp5Efv0EofAO1VfPDDeqzEkk1
 fVJN2MFaep+EaDVPel/r+b7bnB4SBZEKGU=
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > On September 20, 2013 at 10:38 AM jidanni@HIDDEN
    wrote: >> "BV" == Bernhard Voelker <mail@HIDDEN> writes:
    >> So I don't think the man or info pages are the right place.
    > > Huh? Hush hush for security, or just not to bog the pages
    down? [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.17.10 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org, jim@HIDDEN, bob@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Bernhard Voelker <mail@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > On September 20, 2013 at 10:38 AM jidanni@HIDDEN
    wrote: >> "BV" == Bernhard Voelker <mail@HIDDEN> writes:
    >> So I don't think the man or info pages are the right place.
    > > Huh? Hush hush for security, or just not to bog the pages
    down? [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.17.10 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

>=C2=A0On=C2=A0September=C2=A020,=C2=A02013=C2=A0at=C2=A010:38=C2=A0AM=C2=
=A0jidanni@HIDDEN=C2=A0wrote:
>>=C2=A0"BV"=C2=A0=3D=3D=C2=A0Bernhard=C2=A0Voelker=C2=A0<mail@bernhard-voe=
lker.de>=C2=A0writes:
>>=C2=A0So=C2=A0I=C2=A0don't=C2=A0think=C2=A0the=C2=A0man=C2=A0or=C2=A0info=
=C2=A0pages=C2=A0are=C2=A0the=C2=A0right=C2=A0place.
>
>=C2=A0Huh?=C2=A0Hush=C2=A0hush=C2=A0for=C2=A0security,=C2=A0or=C2=A0just=
=C2=A0not=C2=A0to=C2=A0bog=C2=A0the=C2=A0pages=C2=A0down?

No, there is no (known) security problem.=C2=A0 Please read Jim's message
again: there *would be* a security issue if the additional check was
removed.

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 20 Sep 2013 08:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 04:38:28 2013
Received: from localhost ([127.0.0.1]:50654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VMwEN-0005Ht-3k
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2013 04:38:28 -0400
Received: from caiajhbdcbef.dreamhost.com ([208.97.132.145]:53476
 helo=homiemail-a2.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jidanni@HIDDEN>) id 1VMwEK-0005Hi-88
 for 15232 <at> debbugs.gnu.org; Fri, 20 Sep 2013 04:38:25 -0400
Received: from homiemail-a2.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a2.g.dreamhost.com (Postfix) with ESMTP id 2C1C8280070;
 Fri, 20 Sep 2013 01:38:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=3ahtrF1jSAW8admyk1vhnorpfHo=; b=OoSZ33GYIX7al
 CmJx++LT1j3GTS+U7MJH1KStvHObjIy5j+8sI6PyHFwGVRSCvtyZ0IL04QebEh2q
 x5U8P0oQuTBSGalrcyG8khAANNWWjCKY67TiOb/qXS18kv+cBj+Soo4z7ExF+KBK
 IkzkUx2jGC0X/ZM9n0YIjotQY3Def4=
Received: from jidanni.org (111-246-103-40.dynamic.hinet.net [111.246.103.40])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by homiemail-a2.g.dreamhost.com (Postfix) with ESMTPSA id E3B71280062;
 Fri, 20 Sep 2013 01:38:22 -0700 (PDT)
From: jidanni@HIDDEN
To: mail@HIDDEN
Subject: Re: bug#15232: cp -i a/s b/s c
References: <523BE97C.3000008@HIDDEN>
Date: Fri, 20 Sep 2013 16:38:19 +0800
Message-ID: <87ioxvnb0k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >>>>> "BV" == Bernhard Voelker <mail@HIDDEN>
 writes: BV> So I don't think the man or info pages are the right place. Huh?
 Hush hush for security, or just not to bog the pages down? BV> BTW: I'm not
 sure if we're talking about two different things now: (All one big blur to
 me anyway.) [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [208.97.132.145 listed in list.dnswl.org]
 1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org, jim@HIDDEN, bob@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >>>>> "BV" == Bernhard Voelker <mail@HIDDEN>
   writes: BV> So I don't think the man or info pages are the right place. Huh?
    Hush hush for security, or just not to bog the pages down? BV> BTW: I'm not
    sure if we're talking about two different things now: (All one big blur to
    me anyway.) [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [208.97.132.145 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

>>>>> "BV" == Bernhard Voelker <mail@HIDDEN> writes:
BV> So I don't think the man or info pages are the right place.
Huh? Hush hush for security, or just not to bog the pages down?
BV> BTW: I'm not sure if we're talking about two different things now:
(All one big blur to me anyway.)




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 20 Sep 2013 06:22:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 02:22:12 2013
Received: from localhost ([127.0.0.1]:50609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VMu6V-0001wg-N5
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2013 02:22:11 -0400
Received: from moutng.kundenserver.de ([212.227.17.10]:51763)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mail@HIDDEN>) id 1VMu6S-0001wP-R7
 for 15232 <at> debbugs.gnu.org; Fri, 20 Sep 2013 02:22:09 -0400
Received: from [192.168.1.11] (p5499D871.dip0.t-ipconnect.de [84.153.216.113])
 by mrelayeu.kundenserver.de (node=mreu2) with ESMTP (Nemesis)
 id 0LzWOk-1VzjKR2pXu-0155Kz; Fri, 20 Sep 2013 08:21:49 +0200
Message-ID: <523BE97C.3000008@HIDDEN>
Date: Fri, 20 Sep 2013 08:21:48 +0200
From: Bernhard Voelker <mail@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130329 Thunderbird/17.0.5
MIME-Version: 1.0
To: jidanni@HIDDEN
Subject: Re: bug#15232: cp -i a/s b/s c
References: <CA+8g5KEPJ-LCg9q_JO5aPRv7=C4d5a1sqq7ughcPm0YEV94UcA@HIDDEN>
 <877gech6e6.fsf@HIDDEN>
In-Reply-To: <877gech6e6.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Provags-ID: V02:K0:FJs9QruPmpQnUaQmxjkfmMbh2BpJRVEsbJP1W4+JkRI
 RTHpyZA4KsIuEdU+qewBeTaHjs9EMl8pJrB7rUL19j1Hv1J27e
 kw7Jpo2t3JRTnx5nC5pOIzYIQiUEnkhuS5DVt8fXJXpyLwrtIL
 N1jPxVHdsIA2yeNd/qv8yPnpn5GpNNJVjFEuOQDJsQoNxhgXgt
 aAx0fisBvTU8/6RNQpnCi51IbV9hCNuOVMSHE5QbnaEBCPGD3r
 eeopECgingDnZkcaKYterVRSF8Gl6pW08dWHe/bmqThPpU18HR
 1bMyq269iibpyeXkQkgGlwmItSI0KxKZ6HG+EE+geUiNfBG2pq
 veIOGfVrSz7Aj112vVq1mz+DTtq2I474cGG23+oiw
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 09/19/2013 11:02 PM, jidanni@HIDDEN wrote: >> Jim
 Meyering <jim@HIDDEN> writes: > >> enough that without it,
 cp is vulnerable
 to a subtle type of exploit. > > Well some word about this should be in some
 footnote in the cp INFO manual. [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [212.227.17.10 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org, jim@HIDDEN, bob@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 09/19/2013 11:02 PM, jidanni@HIDDEN wrote: >> Jim
   Meyering <jim@HIDDEN> writes: > >> enough that without it, cp is vulnerable
    to a subtle type of exploit. > > Well some word about this should be in some
    footnote in the cp INFO manual. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.17.10 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

On 09/19/2013 11:02 PM, jidanni@HIDDEN wrote:
>> Jim Meyering <jim@HIDDEN> writes:
> 
>> enough that without it, cp is vulnerable to a subtle type of exploit.
> 
> Well some word about this should be in some footnote in the cp INFO manual.

It would be vulnerable "without it", as Jim wrote.
So I don't think the man or info pages are the right place.
We even have a test case for that:
http://git.sv.gnu.org/cgit/coreutils.git/tree/tests/cp/abuse.sh

BTW: I'm not sure if we're talking about two different things now:
The OP was talking about ordinary files a/s and b/s which leads to

  cp: will not overwrite just-created 'c/s' with 'b/s'

whereas Jim is talking about a/s being a symlink which leads to

  cp: will not copy 'b/s' through just-created symlink 'c/s'

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 19 Sep 2013 21:02:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 17:02:33 2013
Received: from localhost ([127.0.0.1]:49959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VMlMu-00046q-Az
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2013 17:02:32 -0400
Received: from caiajhbdcbef.dreamhost.com ([208.97.132.145]:58236
 helo=homiemail-a9.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jidanni@HIDDEN>) id 1VMlMr-00046f-I8
 for 15232 <at> debbugs.gnu.org; Thu, 19 Sep 2013 17:02:30 -0400
Received: from homiemail-a9.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a9.g.dreamhost.com (Postfix) with ESMTP id 9CDCB626075;
 Thu, 19 Sep 2013 14:02:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=fpaeMKoABDFvNmz1dwMGe/FYWDA=; b=EqH74rQtQBYv+
 VGNchk3rKc9ZCc1nykEnAXnQFb+mqoZ4qnjga56ebmJFcntxedOdeqF/5cbTq1A5
 fEIPtbdPuJvdZW3lyHFeECpJnUwC+xrLuOJy0tDB6ShShBTUi62w8/Ufe0ppJoj8
 09hWDO9w3spVqeVX916b6/dtQKdKDU=
Received: from jidanni.org (114-26-40-33.dynamic.hinet.net [114.26.40.33])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by homiemail-a9.g.dreamhost.com (Postfix) with ESMTPSA id 5A1D962606E;
 Thu, 19 Sep 2013 14:02:28 -0700 (PDT)
From: jidanni@HIDDEN
To: jim@HIDDEN
Subject: Re: bug#15232: cp -i a/s b/s c
References: <CA+8g5KEPJ-LCg9q_JO5aPRv7=C4d5a1sqq7ughcPm0YEV94UcA@HIDDEN>
Date: Fri, 20 Sep 2013 05:02:25 +0800
Message-ID: <877gech6e6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >>>>> "JM" == Jim Meyering <jim@HIDDEN> writes: JM>
 enough that without it, cp is vulnerable to a subtle type of exploit. Well
 some word about this should be in some footnote in the cp INFO manual. [...]
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [208.97.132.145 listed in list.dnswl.org]
 1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org, bob@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >>>>> "JM" == Jim Meyering <jim@HIDDEN> writes: JM>
   enough that without it, cp is vulnerable to a subtle type of exploit. Well
    some word about this should be in some footnote in the cp INFO manual. [...]
    
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [208.97.132.145 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

>>>>> "JM" == Jim Meyering <jim@HIDDEN> writes:

JM> enough that without it, cp is vulnerable to a subtle type of exploit.

Well some word about this should be in some footnote in the cp INFO manual.




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 19 Sep 2013 14:55:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 10:55:52 2013
Received: from localhost ([127.0.0.1]:49284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VMfe3-0002cx-CC
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2013 10:55:51 -0400
Received: from mail-pa0-f52.google.com ([209.85.220.52]:44789)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <meyering@HIDDEN>) id 1VMfdy-0002cb-TX
 for 15232 <at> debbugs.gnu.org; Thu, 19 Sep 2013 10:55:47 -0400
Received: by mail-pa0-f52.google.com with SMTP id kq13so9678212pab.25
 for <15232 <at> debbugs.gnu.org>; Thu, 19 Sep 2013 07:55:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc:content-type:content-transfer-encoding;
 bh=dTcmJs93Yoal0BNn15AxBqCfItwUqoMnrTEopsQgDKk=;
 b=zDGDLolbzGWj38aPdLv4K9KoBRtakZiYeqBx5VFRvNnbI9pv4mUotYU9m/TsqTqYde
 Z6oOJP/C4Q8kREcRQ4gBi5FkV4f3zbTdLPQI0fw8MgiSlepCGY+pU79X/JmNrb2dZ2jo
 3afjFlBXW2NWQ9ppZk1+CJY3ZYjSTcP+zRUBSGijc7U1Yt7ThHXHed24DcGU2rQMltiE
 cj0y5Lc7TYmszaq8kjxIvsNTBJgIvvykIlCkM7N/ij3I2PoDym2Za8mwci4XalmF3Ysm
 Y1MImMXTkhRaJc9zrXJ//b+NRyGPU1oOw4lQdiruTL0jG1bI19RgClgivovro+ca0ZYC
 BHBQ==
X-Received: by 10.67.23.164 with SMTP id ib4mr3378948pad.42.1379602540850;
 Thu, 19 Sep 2013 07:55:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.68.17.1 with HTTP; Thu, 19 Sep 2013 07:55:20 -0700 (PDT)
In-Reply-To: <20130918181933.GA19016@HIDDEN>
References: <52237A89.4050609@HIDDEN> <87hae4hyp4.fsf@HIDDEN>
 <20130918181933.GA19016@HIDDEN>
From: Jim Meyering <jim@HIDDEN>
Date: Thu, 19 Sep 2013 07:55:20 -0700
X-Google-Sender-Auth: f3WYVcS9naWzTMn58rmQvz4QeeM
Message-ID: <CA+8g5KEPJ-LCg9q_JO5aPRv7=C4d5a1sqq7ughcPm0YEV94UcA@HIDDEN>
Subject: Re: bug#15232: cp -i a/s b/s c
To: Bob Proulx <bob@HIDDEN>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

On Wed, Sep 18, 2013 at 11:19 AM, Bob Proulx <bob@HIDDEN> wrote:
>> >> cp: will not overwrite just-created =91c/s=92 with =91b/s=92
>
> Personally I have never liked that behavior.  It is trying to be too
> smart.  If I had my "druthers" I would rather see that behavior
> removed.  If I ask for the file to be overwritten twice then I expect
> the file to be overwritten twice.
...
> Creeping featurism and bloat.  It should be removed and simplified
> rather than embraced and expanded.

Hi Bob,
If you don't like the "feature", perhaps I haven't made it clear
enough that without it, cp is vulnerable to a subtle type of exploit.
The trouble arises when there are two files by the same name
(obviously in two separate directories, as in the example), but where
the first one that cp copies is a symlink, and the second one contains
the "payload", which would (without this feature) be copied through
the just-copied symlink.  With that, if some victim (person or script)
can be made to issue such a command, the one who controls the contents
of the source directories can chose the name of a file writable by the
victim as well as the desired contents: cp would do the rest. Sure, it
requires a buggy script, or a cooperative/susceptible victim, but how
many of us would guess that a root-run "cp -p dir.* dest-dir" could be
tricked into doing something bad?

I was sooo glad I spotted that bug before this exploitable cp made it
into a release.

It affected other vendors back then, and probably some even now.




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 18 Sep 2013 18:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 14:19:46 2013
Received: from localhost ([127.0.0.1]:47161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VMMLp-00034l-MO
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2013 14:19:45 -0400
Received: from joseki.proulx.com ([216.17.153.58]:56830)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bob@HIDDEN>) id 1VMMLn-00034U-6S
 for 15232 <at> debbugs.gnu.org; Wed, 18 Sep 2013 14:19:44 -0400
Received: from hysteria.proulx.com (hysteria.proulx.com [192.168.230.119])
 by joseki.proulx.com (Postfix) with ESMTP id 628EE211DB;
 Wed, 18 Sep 2013 12:19:34 -0600 (MDT)
Received: by hysteria.proulx.com (Postfix, from userid 1000)
 id 10B6E2DC63; Wed, 18 Sep 2013 12:19:33 -0600 (MDT)
Date: Wed, 18 Sep 2013 12:19:33 -0600
From: Bob Proulx <bob@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#15232: cp -i a/s b/s c
Message-ID: <20130918181933.GA19016@HIDDEN>
References: <52237A89.4050609@HIDDEN>
 <87hae4hyp4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87hae4hyp4.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

> >> cp: will not overwrite just-created ‘c/s’ with ‘b/s’

Personally I have never liked that behavior.  It is trying to be too
smart.  If I had my "druthers" I would rather see that behavior
removed.  If I ask for the file to be overwritten twice then I expect
the file to be overwritten twice.

Problems like those are one of the reasons I would use a for loop to
avoid the too smart cp code.

  for f in one two three; do cp $f targetdir/; done

But then I would never use cp -i either.

jidanni@HIDDEN wrote:
> All I know is that if it is smart enough to say
> >> cp: will not overwrite just-created ‘c/s’ with ‘b/s’
> which is indeed rather smart, then it should be smart enough to
> gather all its thoughts together before presenting them to the user.
> Hmmm, then it should be also smart enough to recognize the collision and
> stop before any of it happens...

Creeping featurism and bloat.  It should be removed and simplified
rather than embraced and expanded.

> By which time the algorithm to prevent user error becomes so big as to
> introduce different errors... so maybe
> PB> So I'm inclined to leave this as is?
> is the right thing. The only problem is five years later certain "j"
> users will rediscover it and write back again expecting a free t-shirt
> etc. :-)

Have you ever gotten a free t-shirt? :-)

Bob




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 2 Sep 2013 00:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 01 20:09:03 2013
Received: from localhost ([127.0.0.1]:35896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VGHhW-0001qg-JJ
	for submit <at> debbugs.gnu.org; Sun, 01 Sep 2013 20:09:02 -0400
Received: from caiajhbdcaid.dreamhost.com ([208.97.132.83]:40198
 helo=homiemail-a37.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jidanni@HIDDEN>) id 1VGHhT-0001qD-Ki
 for 15232 <at> debbugs.gnu.org; Sun, 01 Sep 2013 20:09:00 -0400
Received: from homiemail-a37.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a37.g.dreamhost.com (Postfix) with ESMTP id 9B20A404003;
 Sun,  1 Sep 2013 17:08:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type:
 content-transfer-encoding; s=jidanni.org; bh=AGNgm77sBJA9bM6bgK+
 zrrwNgNg=; b=O8PAkabcDolAMg/7X8jnjO6SIrPUPXjOIC/dloFtB/npzlVYxR5
 ngXayyrSwvbNtoH2yc8/+ecdh2XLtV2Jm+Gj2+CqDHhwn6BPu2JDjDvc5F8fpwEi
 HP96JAYZ1y7Ih4+pN6ugYibp+Pf2qK4ALh8F4/GafsOHZSNgADLip4Rc=
Received: from jidanni.org (114-41-11-148.dynamic.hinet.net [114.41.11.148])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by homiemail-a37.g.dreamhost.com (Postfix) with ESMTPSA id 3952B404001;
 Sun,  1 Sep 2013 17:08:58 -0700 (PDT)
From: jidanni@HIDDEN
To: p@HIDDEN
Subject: Re: bug#15232: cp -i a/s b/s c
References: <52237A89.4050609@HIDDEN>
Date: Mon, 02 Sep 2013 08:08:55 +0800
Message-ID: <87hae4hyp4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  All I know is that if it is smart enough to say >> cp: will
    not overwrite just-created ‘c/s’ with ‘b/s’ which is indeed rather
    smart, then it should be smart enough to gather all its thoughts together
    before presenting them to the user. Hmmm, then it should be also smart enough
    to recognize the collision and stop before any of it happens... [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [208.97.132.83 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  All I know is that if it is smart enough to say >> cp: will
    not overwrite just-created ‘c/s’ with ‘b/s’ which is indeed rather
    smart, then it should be smart enough to gather all its thoughts together
    before presenting them to the user. Hmmm, then it should be also smart enough
    to recognize the collision and stop before any of it happens... [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [208.97.132.83 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

All I know is that if it is smart enough to say
>> cp: will not overwrite just-created =E2=80=98c/s=E2=80=99 with =E2=80=98=
b/s=E2=80=99
which is indeed rather smart, then it should be smart enough to
gather all its thoughts together before presenting them to the user.
Hmmm, then it should be also smart enough to recognize the collision and
stop before any of it happens...

By which time the algorithm to prevent user error becomes so big as to
introduce different errors... so maybe
PB> So I'm inclined to leave this as is?
is the right thing. The only problem is five years later certain "j"
users will rediscover it and write back again expecting a free t-shirt
etc. :-)




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at 15232 <at> debbugs.gnu.org:


Received: (at 15232) by debbugs.gnu.org; 1 Sep 2013 17:34:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 01 13:34:11 2013
Received: from localhost ([127.0.0.1]:35097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VGBXP-0006Wh-2n
	for submit <at> debbugs.gnu.org; Sun, 01 Sep 2013 13:34:11 -0400
Received: from mail3.vodafone.ie ([213.233.128.45]:50067)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <P@HIDDEN>) id 1VGBXM-0006WQ-Rf
 for 15232 <at> debbugs.gnu.org; Sun, 01 Sep 2013 13:34:09 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Aj8EAGd5I1JtT29K/2dsb2JhbAANTYIjhRG8NoEPgTSDGAEBAQQjDwFGEAsNCwICBRYLAgIJAwIBAgFFEwEFAgEBrmh0kWaBKY5WBxaCU4E0A55IjjQ
Received: from unknown (HELO [192.168.1.79]) ([109.79.111.74])
 by mail3.vodafone.ie with ESMTP; 01 Sep 2013 18:34:02 +0100
Message-ID: <52237A89.4050609@HIDDEN>
Date: Sun, 01 Sep 2013 18:34:01 +0100
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130110 Thunderbird/17.0.2
MIME-Version: 1.0
To: jidanni@HIDDEN
Subject: Re: bug#15232: cp -i a/s b/s c
References: <87eh99c7qo.fsf@HIDDEN>
In-Reply-To: <87eh99c7qo.fsf@HIDDEN>
X-Enigmail-Version: 1.5.2
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 09/01/2013 08:37 AM, jidanni@HIDDEN wrote: > $ cp
   -i a/s b/s c > cp: overwrite ‘c/s’? y > cp: will not overwrite just-created
    ‘c/s’ with ‘b/s’ > Mmmm OK, but maybe don't ask then. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [213.233.128.45 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 15232
Cc: 15232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 09/01/2013 08:37 AM, jidanni@HIDDEN wrote: > $ cp
   -i a/s b/s c > cp: overwrite ‘c/s’? y > cp: will not overwrite just-created
    ‘c/s’ with ‘b/s’ > Mmmm OK, but maybe don't ask then. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [213.233.128.45 listed in list.dnswl.org]
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

On 09/01/2013 08:37 AM, jidanni@HIDDEN wrote:
> $ cp -i a/s b/s c
> cp: overwrite ‘c/s’? y
> cp: will not overwrite just-created ‘c/s’ with ‘b/s’
> Mmmm OK, but maybe don't ask then.

This is a fair point.
There are two ways to handle this.
1. Do allow the overwrite if 'y' answered.
2. Don't prompt and just display the error.

Case 1 could be useful if you wanted to give
priority to the last item copied in.
However there would be an ambiguity in that case,
as you wouldn't know if the prompt was for an
existing file or a newly copied file.
Also that use case is handled with -n anyway,
by just ordering the parameters according to priority.
So option 2 as you suggest seems like the right thing to do.

So this is a generally means we might only prompt
_after_ we discount all cases that aren't allowed.
Another for example is:

$ rm -f c/s && mkdir c/s && cp -i a/s b/s c
cp: overwrite `c/s'? y
cp: cannot overwrite directory `c/s' with non-directory
cp: overwrite `c/s'? y
cp: cannot overwrite directory `c/s' with non-directory

But then on the other hand, if you did answer 'n' above,
the exit code from cp would be 'success' rather than 'failure'.
I.E. it would be a change in behavior to adjust this,
rather than just a prompt avoidance.
I.E. it's only a redundant prompt when you answer 'y'.

So I'm inclined to leave this as is?

thanks,
Pádraig.




Information forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2013 07:39:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 01 03:39:15 2013
Received: from localhost ([127.0.0.1]:33983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VG2Fe-0006a5-Ug
	for submit <at> debbugs.gnu.org; Sun, 01 Sep 2013 03:39:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54281)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jidanni@HIDDEN>) id 1VG2Fc-0006Zs-6A
 for submit <at> debbugs.gnu.org; Sun, 01 Sep 2013 03:39:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1VG2FQ-0007gs-BS
 for submit <at> debbugs.gnu.org; Sun, 01 Sep 2013 03:39:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_00,GAPPY_SUBJECT,
 RCVD_IN_SORBS_WEB,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53365)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1VG2FQ-0007gm-8G
 for submit <at> debbugs.gnu.org; Sun, 01 Sep 2013 03:39:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55993)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1VG2FK-0007lh-95
 for bug-coreutils@HIDDEN; Sun, 01 Sep 2013 03:39:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1VG2FE-0007gI-CC
 for bug-coreutils@HIDDEN; Sun, 01 Sep 2013 03:38:54 -0400
Received: from caiajhbdccah.dreamhost.com ([208.97.132.207]:46263
 helo=homiemail-a8.g.dreamhost.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1VG2FE-0007gA-3o
 for bug-coreutils@HIDDEN; Sun, 01 Sep 2013 03:38:48 -0400
Received: from homiemail-a8.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a8.g.dreamhost.com (Postfix) with ESMTP id 94D11D22074
 for <bug-coreutils@HIDDEN>; Sun,  1 Sep 2013 00:38:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type:
 content-transfer-encoding; s=jidanni.org; bh=LWzu3lJVAvMeYnsn7CK
 LrewSK78=; b=O0a4rnNGJw+EaXgKqC/w0Wtt16X7wTrOQDh2jbaNXO9N8Ut0its
 cFCddaKZWZX/88cSQ0l+itRaOCFAoTl/xz0e8ckN8INOkvIPsx5B6TurO2fApJqr
 zPyfpZRLKuc92+R+s1yapltGto81POV0Lpf9gcBDa/qkL7WuDVw/TBU0=
Received: from jidanni.org (114-41-15-154.dynamic.hinet.net [114.41.15.154])
 (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by homiemail-a8.g.dreamhost.com (Postfix) with ESMTPSA id 522D7D22072
 for <bug-coreutils@HIDDEN>; Sun,  1 Sep 2013 00:38:46 -0700 (PDT)
From: jidanni@HIDDEN
To: bug-coreutils@HIDDEN
Subject: cp -i a/s b/s c
Date: Sun, 01 Sep 2013 15:37:51 +0800
Message-ID: <87eh99c7qo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

$ cp -i a/s b/s c
cp: overwrite =E2=80=98c/s=E2=80=99? y
cp: will not overwrite just-created =E2=80=98c/s=E2=80=99 with =E2=80=98b=
/s=E2=80=99
Mmmm OK, but maybe don't ask then.




Acknowledgement sent to jidanni@HIDDEN:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#15232; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 21 Oct 2018 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.